<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Estilos: Selectores Básicos</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Estilos: Selectores Básicos</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="selector">etiqueta</span></h2>
      <ul class="lista">
        <li>El nombre de la etiqueta</li>
        <li>Selecciona todos los elementos de esa etiqueta</li>
        <li><span class="selector">*</span> selecciona todas</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <pre class="m-05"><code><span class="selector">body</span> {
  <span class="propiedad">background-color:</span> <span class="valor-css">gray;</span>
}
<span class="selector">h1</span> {
  <span class="propiedad">color:</span> <span class="valor-css">blue;</span>
}</code></pre>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="selector">#identificador</span></h2>
      <ul class="lista">
        <li><b>Definir:</b> el identificador precedido por <b>#</b></li>
        <li><b>Usar:</b> asignar la propiedad <span class="propiedad">id</span> con el <span class="valor">identificador</span></li>
        <li><em>Recordar:</em> los identificadores son únicos</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Html:</h4>
          <pre class="m-05"><code><span class="etiqueta">h1 <span class="propiedad">id=</span><span class="valor">"titular"</span></span>
...
<span class="etiqueta">article <span class="propiedad">id=</span><span class="valor">"noticia"</span></span>
...
<span class="etiqueta">/article</span></code></pre>
        </div>
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">#titular</span> {
  <span class="propiedad">color:</span> <span class="valor-css">blue;</span>
}
<span class="selector">#noticia</span> {
  <span class="propiedad">background-color:</span> <span class="valor-css">gray;</span>
}</code></pre>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="selector">.clase</span></h2>
      <ul class="lista">
        <li><b>Definir:</b> nombre de la clase precedido por <b>.</b></li>
        <li><b>Usar:</b> asignar la propiedad <span class="propiedad">class</span> con el <span class="valor">nombre-clase</span></li>
        <li>Se pueden reutilizar y combinar</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">.titular</span> {
  <span class="propiedad">color:</span> <span class="valor-css">blue;</span>
}
<span class="selector">.articulo-destacado</span> {
  <span class="propiedad">background-color:</span> <span class="valor-css">gray;</span>
}</code></pre>
        </div>
        <div>
          <h4>Html:</h4>
          <pre class="m-05"><code><span class="etiqueta">h1 <span class="propiedad">class</span><span class="valor">="titular"</span></span>
<span class="etiqueta">article <span class="propiedad">class</span><span class="valor">="articulo-destacado"</span></span>
...
<span class="etiqueta">/article</span></code></pre>
        </div>
      </div>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Utilizar distintos selectores</li>
        <li>Utilizar el mínimo de reglas posibles</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio11/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio11/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Prioridad entre selectores</h2>
      <ol class="lista">
        <li><span class="propiedad">style</span></li>
        <li><span class="selector">#id</span></li>
        <li><span class="selector">.clase</span></li>
        <li><span class="selector">etiqueta</span></li>
      </ol>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">#titular</span> {
  <span class="propiedad">color:</span> <span class="valor-css">blue;</span>
}
<span class="selector">.destacado</span> {
  <span class="propiedad">color:</span> <span class="valor-css">red;</span>
}
<span class="selector">h1</span> {
  <span class="propiedad">color:</span> <span class="valor-css">green;</span>
}</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <iframe src="./ejemplos/selectores_basicos/prioridad_entre_selectores_distintos.html"></iframe>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Prioridad entre selectores</h2>
      <ul class="lista">
        <li>Si son idénticos, el último declarado</li>
        <li>(del último fichero enlazado)</li>
        <li><span class="valor-css">!important</span> para saltarselo (evitar usar)</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex">
        <div>
          <h4>Estilo:</h4>
          <pre class="m-05"><code><span class="selector">h1</span> { <span class="propiedad">color:</span> <span class="valor-css">blue;</span> }
<span class="selector">h1</span> { <span class="propiedad">color:</span> <span class="valor-css">red;</span> }
<span class="selector">h1</span> { <span class="propiedad">color:</span> <span class="valor-css">green;</span> }
<span class="selector">.fondo</span> { <span class="propiedad">background-color:</span> <span class="valor-css">red;</span> }
<span class="selector">.fondo</span> { <span class="propiedad">background-color:</span> <span class="valor-css">orange !important;</span> }
<span class="selector">.fondo</span> { <span class="propiedad">background-color:</span> <span class="valor-css">green;</span> }</code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <iframe src="./ejemplos/selectores_basicos/prioridad_entre_selectores_iguales.html"></iframe>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="etiqueta">div</span></h2>
      <ul class="lista">
        <li>Encapsula elementos de bloque</li>
        <li>Si no hay etiqueta semántica apropiada</li>
      </ul>
      <h2><span class="etiqueta">span</span></h2>
      <ul class="lista">
        <li>Encapsula elementos de linea</li>
        <li>Para aplicar estilos</li>
      </ul>
        <div class="columnas-flex pt-2">
          <h3>Ejemplo:</h3>
          <pre class="columna-doble m-05"><code><span class="etiqueta">div</span>
  <span class="etiqueta">p</span>
    Texto de <span class="etiqueta">span <span class="propiedad">class</span><span class="valor">="importante"</span></span>ejemplo<span class="etiqueta">/span</span>.
  <span class="etiqueta">/p</span>
  <span class="etiqueta">a <span class="propiedad">href</span><span class="valor">="url"</span></span>Ejemplo url<span class="etiqueta">/a</span>
<span class="etiqueta">/div</span></code></pre>
        </div>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Utilizar distintos selectores</li>
        <li>Utilizar el mínimo de reglas posibles</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio12/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio12/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>